<?php
/*
 * Dialog to gather info to create image
 * https://codex.wordpress.org/Javascript_Reference/wp.media
 */
class Pm_Tailored_Image_Create_Dialog
{
	private $options;

	function __construct( $options )
	{
		$this->options = $options;
	}

	/*
	 * Frame Output
	 */
	public function personalize_new() {
		$args = array(
			'template_id' => 'pm-tailored-img-modal-content',
			'title' => __('New', 'pm-tailored-image'),
			'btn_id' => 'create-new-img',
			'btn_class' => 'create-tailored-image',
			'btn_txt' => __('Create Image', 'pm-tailored-image')
			);
		$this->modal_content( $args );
	}
	public function personalize_edit() {
		$args = array(
			'template_id' => 'pm-tailored-img-edit-modal',
			'title' => __('Edit', 'pm-tailored-image'),
			'btn_id' => 'edit-tailored-img',
			'btn_class' => 'edit-tailored-img',
			'btn_txt' => __('Edit Image', 'pm-tailored-image')
			);
		$this->modal_content( $args );
	}

	private function modal_content( $args ) {		
		?>
		<script type="text/template" id="tmpl-<?php echo $args['template_id']; ?>">
			<h1><?php echo $args['title'] .' '. __('Personalized Image', 'pm-tailored-image') ?></h1>
			<div id="pm-tailored-img-view">
				<div id="image-preview"></div>
				<img id="view-personalized-img" src="">
				<input id="preview-img-url" type="hidden" value="">
				<input id="new-personalized-img" class="large-text" type="text">
				<button type="button" class="button button-secondary choose-tailored-img button-large choose"><?php _e('Choose Image', 'pm-tailored-image'); ?></button>
			</div>
			<div id="pm-tailored-img-text">
			<p><?php _e('Replace %%name%% where you want the person\'s name to be.', 'pm-tailored-image'); ?></p>
				<p><?php _e('Line 1 Text', 'pm-tailored-image'); ?> <input id="pm-tailored-line1" type="text" class="large-text"></p>
				<p><?php _e('Line 2 Text', 'pm-tailored-image'); ?> <input id="pm-tailored-line2" type="text" class="large-text"></p>
				<p><?php _e('Line 3 Text', 'pm-tailored-image'); ?> <input id="pm-tailored-line3" type="text" class="large-text"></p>
				<p><?php _e('Line 4 Text', 'pm-tailored-image'); ?> <input id="pm-tailored-line4" type="text" class="large-text"></p>
				<p><?php _e('Default name/term if no name is detected', 'pm-tailored-image'); ?> <input id="pm-tailored-default-name" type="text" class="large-text"></p>
			</div>
			<div id="pm-tailored-img-text-styles">
				<p><?php _e('Font size', 'pm-tailored-image'); ?><br><input type="text" id="pm-tailored-font-size" class="small-text"></p>
				<p><?php _e('Font color', 'pm-tailored-image'); ?><br><input type="text" id="pm-tailored-font-color" class="color-picker" value=""></p>
				<p id="pm-tailored-halign"><?php _e('Text align', 'pm-tailored-image'); ?></p>
					<label class="texthalign"><?php _e('Left', 'pm-tailored-image'); ?> <input type="radio" class="pm-tailored-halign" name="texthalign" value="left"></label>
					<label class="texthalign"><?php _e('Center', 'pm-tailored-image'); ?> <input type="radio" class="pm-tailored-halign" name="texthalign" value="center"></label>
					<label class="texthalign"><?php _e('Right', 'pm-tailored-image'); ?> <input type="radio" class="pm-tailored-halign" name="texthalign" value="right"></label>
				<p id="pm-tailored-valign"><?php _e('Vertical align', 'pm-tailored-image'); ?></p>
					<label class="textvalign"><?php _e('Top', 'pm-tailored-image'); ?> <input type="radio" class="pm-tailored-valign" name="textvalign" value="top"></label>
					<label class="textvalign"><?php _e('Middle', 'pm-tailored-image'); ?> <input type="radio" class="pm-tailored-valign" name="textvalign" value="mid"></label>
					<label class="textvalign"><?php _e('Bottom', 'pm-tailored-image'); ?> <input type="radio" class="pm-tailored-valign" name="textvalign" value="bottom"></label>
				<p id="pm-tailored-font"><?php _e('Font type', 'pm-tailored-image'); ?></p>
					<label id="CoveredByYourGrace" class="fonttype"><input type="radio" class="pm-tailored-font" name="fonttype" value="CoveredByYourGrace"> Covered By Your Grace</label>
					<label id="GloriaHallelujah" class="fonttype"><input type="radio" class="pm-tailored-font" name="fonttype" value="GloriaHallelujah"> Gloria Hallelujah</label>
					<label id="GochiHand-Regular" class="fonttype"><input type="radio" class="pm-tailored-font" name="fonttype" value="GochiHand-Regular"> Gochi Hand</label>
					<label id="Kalam-Bold" class="fonttype"><input type="radio" class="pm-tailored-font" name="fonttype" value="Kalam-Bold"> Kalam</label>
					<label id="PatrickHand-Regular" class="fonttype"><input type="radio" class="pm-tailored-font" name="fonttype" value="PatrickHand-Regular"> Patrick Hand</label>
					<label id="PermanentMarker" class="fonttype">Permanent Marker <input type="radio" class="pm-tailored-font" name="fonttype" value="PermanentMarker"></label>
			<button type="button" id="<?php echo $args['btn_id']; ?>" class="button button-primary <?php echo $args['btn_class']; ?> button-large"><?php echo $args['btn_txt']; ?></button>
			</div>
		</script>
		<?php
	}
}