<?php
class Pm_Tailored_Image_Admin {

	//private $options;
	private $plugin_slug;
	private $plugin_version;

	public function __construct( $plugin_slug, $plugin_version ) {
		$this->plugin_slug = $plugin_slug;
		$this->plugin_version = $plugin_version;
		$this->load_dependencies();
	}

	private function load_dependencies() {
		require_once plugin_dir_path( dirname( __FILE__ ) ) . 'includes/class-pm-tailored-image-options.php';
		require_once plugin_dir_path( dirname( __FILE__ ) ) . 'admin/class-admin-page.php';
		require_once plugin_dir_path( dirname( __FILE__ ) ) . 'admin/class-tmce.php';
	}

	/*
	 * Enqueue Admin Styles
	 */
	public function enqueue_styles() {
		wp_enqueue_style( $this->plugin_slug, plugin_dir_url( __FILE__ ). 'css/style.css', array(), $this->plugin_version, 'all' );
		wp_enqueue_style( 'wp-color-picker' );
	}

	/*
	 * Enqueue Admin JS
	 */
	public function enqueue_scripts() {
		wp_enqueue_media();
		wp_enqueue_script( $this->plugin_slug, plugin_dir_url( __FILE__ ).'js/scripts.js', array('media-views','media-models'), $this->plugin_version, false );
		wp_enqueue_script( 'wp-color-picker' );
		$settings_screen_obj = array(			
			'select_image_label' => __('Select Image', 'pm-tailored-image'),
			'set_image_label' => __('Set Image', 'pm-tailored-image'),
			'please_wait_label' => __('Please wait...', 'pm-tailored-image'),
			'field_cannot_be_empty_label' => __('This cannot be empty', 'pm-tailored-image'),
			'warning_not_jpg_label' => __('Warning! This works best with jpg files', 'pm-tailored-image')
			);
		wp_localize_script( $this->plugin_slug, 'pm_timg_set_scrn_obj', $settings_screen_obj );

	}

	/*
	 * Admin Page
	 */
	private function admin_page() {
		$admin_page = new Pm_Tailored_Image_Admin_Page( $this->plugin_slug, $this->plugin_version );
		$admin_page->run();
	}

	/*
	 * Text Editor
	 */
	private function text_editor() {
		$tmce = new Pm_Tailored_Image_Tmce( array() );
		$tmce->run();
	}

	public function run() {
		$this->admin_page();
		$this->text_editor();
	}
}