<?php
/**
* Create, display, adds shortcodes
*/
class Pm_Tailored_Image_Shortcodes
{
	
	function __construct()
	{
		$this->opts = new Pm_Tailored_Image_Options(array());
		$this->saved_opts = $this->opts->get('pm_tailored_image_custom')->options;
	}

	private function build_image( $options ) {
		$image = $this->saved_opts[$options['img_key']];
		// Is name found?
		if( $options['ci_name'] ) {
			$image['line1'] = str_replace('%%name%%', $options['ci_name'], $image['line1']);
			$image['line2'] = str_replace('%%name%%', $options['ci_name'], $image['line2']);
			$image['line3'] = str_replace('%%name%%', $options['ci_name'], $image['line3']);
			$image['line4'] = str_replace('%%name%%', $options['ci_name'], $image['line4']);
		} else {
			$image['line1'] = str_replace('%%name%%', $image['default_name'], $image['line1']);
			$image['line2'] = str_replace('%%name%%', $image['default_name'], $image['line2']);
			$image['line3'] = str_replace('%%name%%', $image['default_name'], $image['line3']);
			$image['line4'] = str_replace('%%name%%', $image['default_name'], $image['line4']);
		}
		$image['view'] = $options['view'];
		$image['operation'] = $options['operation'];
		
		$display = new Pm_Tailored_Image_Make( $image );
		return $display->image();
	}

	public function shortcode_function( $atts ) {
		// Get shortcode attributes
		$atts = shortcode_atts( array(
				'img_key' => '',
				'width' => '100',
				'height' => '',
				'unit' => '%',
				'align' => 'none'
			), $atts, 'pm_tailored_img' );

		$ci_name = ( isset( $_GET['ci_name'] ) ) ? sanitize_user( $_GET['ci_name'], true ) : false ;

		// Build image options array
		$options = array(
			'img_key' => $atts['img_key'],
			'ci_name' => $ci_name,
			'view' => 1,
			'operation' => false
			);
		$display_width = ( empty( $atts['width'] ) ) ? '' : 'width:'.$atts['width'].$atts['unit'].';' ;
		$display_height = ( empty( $atts['height'] ) ) ? '' : 'height:'.$atts['height'].$atts['unit'].';' ;
		
		// Return image
		return wpautop( "<img id=\"pm-timg-{$atts['img_key']}\" class=\"pm-tailored-image {$atts['align']}\" style=\"{$display_width}{$display_height}\" src=\"{$this->build_image( $options )}\">", $br = true );
		//echo "<pre>".print_r($image, true)."</pre>";
	}

	public function run() {
		add_shortcode( 'pm_tailored_img', array( $this, 'shortcode_function' ) );
	}
}