<?php
// https://carlalexander.ca/single-responsibility-principle-wordpress/
class Pm_Tailored_Image_Options
{

	/**
	 * Constructor
	 */
	public function __construct( array $options = array() ) {
		$this->options = $options;
	}

	/**
	 * Gets options
	 */
	public function get($name, $default = NULL) {
		$options = get_option($name, array());
		$options = (empty($options)) ? array() : $options ;
		return new self($options);
	}

	/**
	 * Check if options exists or not
	 */
	public function has( $name ) {
		return isset( $this->options[$name] );
	}

	/**
	 * Sets option
	 */
	public function set( $name, $value ) {
		update_option( $name, $value );
	}
}