<?php
/**
* Core plugin class
*/
class Pm_Tailored_Image
{
	protected $loader;
	protected $plugin_slug;
	protected $version;

	public function __construct() {
		$this->plugin_slug = 'pm-tailored-image';
		$this->plugin_version = '9.1.0.2';

		$this->load_dependencies();
		$this->set_locale();
		$this->define_admin_hooks();
		$this->define_public_hooks();
	}

	private function load_dependencies() {
		require_once plugin_dir_path( dirname( __FILE__ ) ) . 'includes/class-pm-tailored-image-loader.php';
		require_once plugin_dir_path( dirname( __FILE__ ) ) . 'includes/class-pm-tailored-image-i18n.php';
		require_once plugin_dir_path( dirname( __FILE__ ) ) . 'admin/class-pm-tailored-image-admin.php';
		require_once plugin_dir_path( dirname( __FILE__ ) ) . 'admin/class-shortcode.php';

		// Update check
		require_once(plugin_dir_path( dirname( __FILE__ ) ).'vendor/plugin-updates/plugin-update-checker.php');

		$this->loader = new Pm_Tailored_Image_Loader();
	}

	private function set_locale() {

		$plugin_i18n = new Pm_Tailored_Image_i18n();
		$plugin_i18n->set_domain('pm-tailored-image');
		$this->loader->add_action( 'plugins_loaded', $plugin_i18n, 'load_plugin_textdomain' );

	}

	private function define_admin_hooks() {
		$plugin_admin = new Pm_Tailored_Image_Admin( $this->get_plugin_slug(), $this->get_version() );
		$plugin_admin->run();
	}

	private function define_public_hooks() {}

	public function run() {
		$this->loader->run();
		$shortcodes = new Pm_Tailored_Image_Shortcodes();
		$shortcodes->run();
	}
	public function get_plugin_slug() {
		return $this->plugin_slug;
	}
	public function get_loader() {
		return $this->loader;
	}
	public function get_version() {
		return $this->plugin_version;
	}
}