<?php
/**
 * This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a
 * function that starts the plugin.
 *
 * @link              http://www.techbasedmarketing.com
 * @since             9.1.0.2
 * @package           Pm_Tailored_Image
 *
 * @wordpress-plugin
 * Plugin Name:       WP Tailored Image
 * Plugin URI:        http://resell-rights-weekly.com/
 * Description:       Quickly personalize the images on your website for each one of your visitors!
 * Version:           9.1.0.2
 * Author:            RRW
 * Author URI:        http://resell-rights-weekly.com/
 * Text Domain:       pm-tailored-image
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

// Define constants
define( 'PM_TIMG_DIR', plugin_dir_url( __FILE__) );
define( 'PM_TIMG_PATH', plugin_dir_path( __FILE__) );
define( 'PM_TIMG_PLUGIN_NAME', 'WP Tailored Image' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-pm-tailored-image-activator.php
 */
function activate_pm_tailored_image() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-pm-tailored-image-activator.php';
	Pm_Tailored_Image_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-pm-tailored-image-deactivator.php
 */
function deactivate_pm_tailored_image() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-pm-tailored-image-deactivator.php';
	Pm_Tailored_Image_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_pm_tailored_image' );
register_deactivation_hook( __FILE__, 'deactivate_pm_tailored_image' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-pm-tailored-image.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    9.1.0.2
 */
function run_pm_tailored_image() {

	$plugin = new Pm_Tailored_Image();
	$plugin->run();

}
run_pm_tailored_image();

